.fast-map {
  position: relative;
  margin-top: 100px;
  margin-bottom: 40px;

  &__wrap {
    position: relative;
    overflow: hidden;
  }

  &__arrow-left,
  &__arrow-right {
    position: absolute;
    top: 50%;
    z-index: 5;
    display: none;
    border: none;
    outline: none;
    box-shadow: none;
    transform: translateY(-50%);
    cursor: pointer;

    &::before {
      content: "";
      display: block;
      width: 15px;
      height: 15px;
      border: 2px solid #000000;
      border-top-color: transparent;
      border-right-color: transparent;
      transform: rotate(45deg);
    }

    &:disabled {
      opacity: 0.3;
    }
  }

  &__arrow-right {
    right: 0;

    &::before {
      transform: rotate(-135deg);
    }
  }



  & input {
    display: none;
  }

  &__label {
    position: relative;
    display: block;
    margin-top: 45px;
    transition: all 0.3s;




    &::before,
    &::after {
      content: "";
      position: absolute;
      top: 50%;
      width: 50%;
      height: 2px;
      background: #504f4f;
      transform: translateY(-50%);
      opacity: 0.3;
    }

    &::before {
      left: 0;
    }

    &::after {
      right: 0;
    }

    &.active {
      & .point {
        background-color: #504f4f;
        transform: scale(1.3);
      }

      & .fast-map__title {
        color: #504f4f;
        opacity: 1;
      }

      &::before,
      &::after {
        opacity: 1;
      }


      &-prev {
        &::after {
          opacity: 1;
        }
      }

      &-next {
        &::before {
          opacity: 1;
        }
      }
    }

    &:hover {
      & .point {
        background-color: #504f4f;
        transform: scale(1.3);
      }

      & .fast-map__title {
        z-index: 4;
        color: #504f4f;
        background-color: #ffffff;
        opacity: 1;
      }
    }
  }

  &__title {
    position: absolute;
    bottom: calc(100% + 5px);
    left: 50%;
    z-index: 3;
    max-width: 120px;
    max-height: 38px;
    overflow: hidden;
    text-align: center;
    color: #cbcaca;
    text-overflow: ellipsis;
    background-color: #ffffff;
    transform: translateX(-50%);
    transition: all 0.3s;
  }


  & .point {
    position: relative;
    z-index: 2;
    width: 25px;
    height: 25px;
    margin-right: auto;
    margin-left: auto;
    background: #cbcaca;
    border: 5px solid #ffffff;
    border-radius: 50%;
    transform-origin: center;
    transition: all 0.3s;
  }

  &__line {
    display: flex;


    &--1 {
      & > label {
        min-width: calc(100% / 6);
      }
    }

    &--2 {
      & > label {
        min-width: calc(100% / 12);
      }

      & .point {
        width: 23px;
        height: 23px;
        border: 4px solid #ffffff;
      }

      & .fast-map__title {
        font-size: 13px;
        border-right: 5px solid #ffffff;
        opacity: 0.5;
      }
    }

    &--3 {
      & > label {
        min-width: calc(100% / 11);
      }

      & .point {
        width: 17px;
        height: 17px;
        border: 4px solid #ffffff;
      }

      & .fast-map__title {
        font-size: 12px;
        opacity: 0.5;
      }
    }

    &--4 {
      & > label {
        min-width: calc(100% / 11);
      }

      & .point {
        width: 17px;
        height: 17px;
        border: 4px solid #ffffff;
      }

      & .fast-map__title {
        font-size: 12px;
        opacity: 0.5;
      }
    }
  }

  &__button {
    display: block;
    /*  position: absolute;
    right: 0;
    bottom: -40px; */
    margin-left: auto;
    padding: 5px 10px;
    font-style: normal;
    font-weight: 500;
    font-size: 27px;
    line-height: 33px;
    text-align: center;
    color: #000000;
    background-color: $prime;
    border: none;
    box-shadow: none;
  }
}

@media(max-width:1024px) {
  .fast-map {
    &__line {
      &--1 {
        & > label {
          min-width: calc(100% / 4);
        }
      }

      &--2 {
        & > label {
          min-width: calc(100% / 8);
        }
      }

      &--3 {
        & > label {
          min-width: calc(100% / 7);
        }
      }
    }
  }
}


@media(max-width:765px) {
  .fast-map {
    &__line {
      &--1 {
        & > label {
          min-width: calc(100% / 3);
        }
      }

      &--2 {
        & > label {
          min-width: calc(100% / 5);
        }
      }

      &--3 {
        & > label {
          min-width: calc(100% / 4);
        }
      }
    }

    &__button {
      bottom: -50px;
    }
  }
}



@media(max-width:550px) {
  .fast-map {
    &__line {
      &--1 {
        & > label {
          min-width: calc(100% / 2);
        }
      }

      &--2 {
        & > label {
          min-width: calc(100% / 4);
        }
      }

      &--3 {
        & > label {
          min-width: calc(100% / 3);
        }
      }
    }
  }
}


@media(max-width:550px) {
  .fast-map {
    &__line {
      &--2 {
        & > label {
          min-width: calc(100% / 3);
        }
      }

      &--3 {
        & > label {
          min-width: calc(100% / 2);
        }
      }
    }
  }
}
